Module java.desktop
Package javax.swing.plaf.basic

# Class BasicListUI.FocusHandler

java.lang.Object
javax.swing.plaf.basic.BasicListUI.FocusHandler

All Implemented Interfaces:
  `FocusListener`, `EventListener`

Enclosing class:
  BasicListUI

    public class BasicListUI.FocusHandler
    extends Object
    implements FocusListener

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicListUI`.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FocusHandler()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected void` | `repaintCellFocus()` | Repaints focused cells.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.FocusListener

`focusGained, focusLost`

## Constructor Details

### FocusHandler

public FocusHandler()

## Method Details

### repaintCellFocus

protected void repaintCellFocus()
Repaints focused cells.